## org.eclipse.emf.ecoretools.diagram.sheet
Class EcoreSheetLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.emf.ecoretools.diagram.sheet.EcoreSheetLabelProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider

    public class EcoreSheetLabelProvider

extends org.eclipse.jface.viewers.BaseLabelProvider
implements org.eclipse.jface.viewers.ILabelProvider

Constructor Summary
`EcoreSheetLabelProvider()`

Method Summary
`org.eclipse.swt.graphics.Image` `getImage(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object element)`

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Constructor Detail

### EcoreSheetLabelProvider

    public EcoreSheetLabelProvider()

Method Detail

### getText

    public java.lang.String getText(java.lang.Object element)

  Specified by:
    `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`

### getImage

    public org.eclipse.swt.graphics.Image getImage(java.lang.Object element)

  Specified by:
    `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`

Copyright 2007 Anyware Technologies. All Rights Reserved.